import 'package:flutter_test/flutter_test.dart';
import 'package:moru_payment_gateway/dto/request/access_validate.dart';
import 'package:moru_payment_gateway/main.dart';
import 'package:moru_payment_gateway/presentation/bloc/access_validator/validate_access_key_cubit.dart';

import 'package:moru_payment_gateway/repository/payment_handler.dart';
import 'package:moru_payment_gateway/repository/payment_impl.dart';
import 'package:http/http.dart' as http;

void main() {
  setUp(() {
    getIt.registerLazySingleton<PaymentImpl>(() =>
        PaymentImpl(paymentHandler: PaymentHandler(httpClient: http.Client())));
  });
  test('adds one to input values', () {
    ValidateAccessKeyCubit _validateAccessKeyCubit;
    AccessValidate _accessValidate;
    final String accessKey =
        'b4856fab37c347038c31d8239f8c2157ab1421e50563489c9acec0cba073b637';
    _validateAccessKeyCubit = ValidateAccessKeyCubit();
    _accessValidate = AccessValidate(
        accessKey: accessKey,
        transactionID: 'test1',
        amount: 120,
        additionalData: {"daraz": "123"});
    _validateAccessKeyCubit.validatedAccessKey(accessValidate: _accessValidate);
  });
}
